public class JDemocDim {

    private int width;
    private int height;
    private int area;

    public JDemocDim() {
	this.width = 0;
	this.height = 0;
	updateArea();
    }

    public JDemocDim(int width,
	      int height) {
	this.width = width;
	this.height = height;
	updateArea();
    }

    private void updateArea() {
	area = width * height;
    }

    public int getWidth() {
	return width;
    }

    public int getHeight() {
	return width;
    }

    public int getArea() {
	return area;
    }

    public void setWidth(int width) {
	this.width = width;
	updateArea();
    }

    public void setHeight(int height) {
	this.height = height;
	updateArea();
    }

}
